commit:     bab5e39c2174714d10809d057984d75f1e25e78f
Author:     Arsen Arsenović <arsen <AT> aarsen <DOT> me>
AuthorDate: Fri Sep 16 23:49:56 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 17 14:34:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bab5e39c

dev-util/poke: add 2.4

Signed-off-by: Arsen Arsenović <arsen <AT> aarsen.me>
Closes: https://github.com/gentoo/gentoo/pull/27285
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/poke/Manifest        |  1 +
 dev-util/poke/metadata.xml    |  3 ++-
 dev-util/poke/poke-2.4.ebuild | 50 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+), 1 deletion(-)

diff --git a/dev-util/poke/Manifest b/dev-util/poke/Manifest
index bc7b62493108..a06cf7ce9469 100644
--- a/dev-util/poke/Manifest
+++ b/dev-util/poke/Manifest
@@ -1 +1,2 @@
 DIST poke-2.3.tar.gz 7369945 BLAKE2B 
fe9274099a9ddacf1f46b7cec1f98cc6c442b24f149efbf4320a74a270dc8bad7cf3f87df817c9968a13ece763573b36f0ec99699cb9c7742b7be9023a4fca39
 SHA512 
101ef0009676c02f72ffb4889a02c9a161f29f412685249c7166f69077b0cd1b19d940567ebb86894bacf2278a2e138354fd49456f12b05a4c1957f437ff1d86
+DIST poke-2.4.tar.gz 7372092 BLAKE2B 
64b8b22713bb581c30b624200c0a283a8de548895db2c21d83babbb18a93f3a8975dd7af752bd7ea856242f90035add249fbb62462ac632bec351598bcca0fe5
 SHA512 
6fa1097a5cbbd4171b6a390934c5648b4c382b8b8c8dd4955bba82cb57107f67e23b39f2df2081904a02f457e6c5b2d10baed710da3ed4b9b9eab3f4127e12bc

diff --git a/dev-util/poke/metadata.xml b/dev-util/poke/metadata.xml
index 0bee503758ea..777e0547b116 100644
--- a/dev-util/poke/metadata.xml
+++ b/dev-util/poke/metadata.xml
@@ -10,6 +10,7 @@
                <name>Proxy Maintainers</name>
        </maintainer>
        <use>
-               <flag name="machine-interface">enable machine-interface 
protocol using <pkg>dev-libs/json-c</pkg></flag>
+               <flag name="machine-interface">Enable machine-interface 
protocol using <pkg>dev-libs/json-c</pkg></flag>
+               <flag name="pvm-profiling">Enable profiling in the PVM</flag>
        </use>
 </pkgmetadata>

diff --git a/dev-util/poke/poke-2.4.ebuild b/dev-util/poke/poke-2.4.ebuild
new file mode 100644
index 000000000000..683291c3f9ba
--- /dev/null
+++ b/dev-util/poke/poke-2.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Extensible editor for structured binary data"
+HOMEPAGE="https://www.jemarch.net/poke";
+SRC_URI="mirror://gnu/poke/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="pvm-profiling nls test"
+
+RESTRICT="!test? ( test )"
+
+# TODO: libnbd: not packaged in gentoo yet
+RDEPEND="
+       dev-libs/boehm-gc:=
+       dev-libs/libatomic_ops
+       sys-devel/gettext
+       sys-libs/readline:=
+"
+DEPEND="${RDEPEND}
+       test? ( dev-util/dejagnu )"
+BDEPEND="sys-devel/flex
+       sys-devel/bison
+       sys-apps/help2man
+       virtual/pkgconfig"
+
+src_configure() {
+       # NB --disable-{gui,mi}:
+       # These (AFAICT) have no consumers in Gentoo, and should not get any,
+       # preferably. They are slated for removal with Poke 3 (should happen
+       # towards the end of the year, possibly), so they should not be relied
+       # upon.
+       econf \
+               --disable-libnbd \
+               --enable-hserver \
+               --disable-gui \
+               --disable-mi \
+               $(use_enable pvm-profiling) \
+               $(use_enable nls)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to